Subject: [sipcore] [Technical Errata Reported] RFC8688 (6586)

From: RFC Errata System <[email-masked]>
Date: Tue, 18 May 2021 02:48:37 -0700 (PDT)

The following errata report has been submitted for RFC8688,
"A Session Initiation Protocol (SIP) Response Code for Rejected Calls".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6586

--------------------------------------
Type: Technical
Reported by: Amrita Bhatt <[email-masked]>

Section: 3

Original Text
-------------
                         +--------+         +-----------+
                         | Called |         |   Call    |
        +-----+          | Party  |         | Analytics |   +-----+
        | UAC |          | Proxy  |         |  Engine   |   | UAS |
        +-----+          +--------+         +-----------+   +-----+
           |  INVITE         |                    |            |
           | --------------> |  Is call OK?       |            |
           |                 |------------------->|            |
           |                 |                    |            |
           |                 |               Yes  |            |
           |                 |<-------------------|            |
           |                 |                    |            |
           |                 | INVITE             |            |
           |                 | ------------------------------> |
           |                 |                    |            |
           |                 |                    |       607  |
           |                 | <------------------------------ |
           |                 |                    |            |
           |                 |  Unwanted call     |            |
           |            607  | -----------------> |            |
           | <-------------- |  indicators        |            |
           |                 |                    |            |

Corrected Text
--------------
                         +--------+         +-----------+
                         | Called |         |   Call    |
        +-----+          | Party  |         | Analytics |   +-----+
        | UAC |          | Proxy  |         |  Engine   |   | UAS |
        +-----+          +--------+         +-----------+   +-----+
           |  INVITE         |                    |            |
           | --------------> |  Is call OK?       |            |
           |                 |------------------->|            |
           |                 |                    |            |
           |                 |               No   |            |
           |                 |<-------------------|            |
           |                 |                    |            |
           |                 |              	  |            |
           |                 |                    |            |
           |                 |                    |            |
           |            608  |                    |            |
           | <-------------- |                    |            |
           |                 |                    |            |

Notes
-----
"Figure 4: Rejected (608) Ladder Diagram" does not depict correct signalling flow.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8688 (draft-ietf-sipcore-rejected-09)
--------------------------------------
Title               : A Session Initiation Protocol (SIP) Response Code for Rejected Calls
Publication Date    : December 2019
Author(s)           : E.W. Burger, B. Nagda
Category            : PROPOSED STANDARD
Source              : Session Initiation Protocol Core
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: Eric Burger <[email-masked]>
Date: Tue, 25 May 2021 20:31:44 -0400

Good catch! Yet another reason why people need to code to the text and not the examples. This is laughably wrong. [I can laugh at myself and the entire IESG for not noticing this error.]

Verified.

> On May 18, 2021, at 5:48 AM, RFC Errata System <[email-masked]> wrote:
>